Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1207)
@@ -126,5 +126,4 @@
 , m_bDiscardableFlag              ( false )
 , m_bCrossLayerBLAFlag            ( false )
-#if POC_RESET_IDC_SIGNALLING
 , m_pocResetIdc                   ( 0 )
 , m_pocResetPeriodId              ( 0 )
@@ -135,5 +134,4 @@
 , m_pocMsbValPresentFlag          ( false )
 , m_pocMsbValNeeded               ( false )
-#endif
 #if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
 , m_picOrderCntLsb (0)
@@ -221,5 +219,4 @@
   m_cabacInitFlag        = false;
   m_enableTMVPFlag = true;
-#if POC_RESET_IDC_SIGNALLING
   m_pocResetIdc                   = 0;
   m_pocResetPeriodId              = 0;
@@ -229,5 +226,4 @@
   m_pocMsbValRequiredFlag         = false;
   m_pocMsbValPresentFlag          = false;
-#endif
 #if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
   m_picOrderCntLsb = 0;
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1207)
@@ -2003,5 +2003,4 @@
   Bool        m_bDiscardableFlag;
   Bool        m_bCrossLayerBLAFlag;
-#if POC_RESET_IDC_SIGNALLING
   Int         m_pocResetIdc;
   Int         m_pocResetPeriodId;
@@ -2013,5 +2012,4 @@
   Bool        m_pocMsbValNeeded;
   Int         m_pocResetDeltaPoc;
-#endif
 #if POC_RESET_IDC_ENCODER
   Int         m_pocValueBeforeReset;
@@ -2350,5 +2348,5 @@
 
   Void setILRPic(TComPic **pcIlpPic);
-#if POC_RESET_IDC_SIGNALLING
+
   Int       getPocResetIdc       ()                              { return m_pocResetIdc;       }
   Void      setPocResetIdc       (Int b)                         { m_pocResetIdc = b;          }
@@ -2369,5 +2367,4 @@
   Bool      getPocMsbValRequiredFlag ()                           { return m_pocMsbValRequiredFlag; }
   Void      setPocMsbValRequiredFlag (Bool x)                     { m_pocMsbValRequiredFlag = x; }
-#endif
 
   Bool      getBlaPicFlag       ();
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1207)
@@ -69,9 +69,7 @@
 #define POC_RESET_IDC                    1      ///< JCTVC-P0041: Include poc_reset_idc and related derivation
 #if POC_RESET_IDC
-#define POC_RESET_IDC_SIGNALLING         1      ///< JCTVC-P0041: Include signalling for poc_reset related syntax elements
 #define POC_RESET_IDC_ENCODER            1      ///< JCTVC-P0041: Include support of enabling POC reset at the encoder
 #define POC_RESET_IDC_DECODER            1      ///< JCTVC-P0041: Include support of enabling POC reset at the decoder
 #endif
-#define POC_RESET_INFO_INFERENCE         1      ///< JCTVC-Q0146: Infer the value of poc_reset_info_present_flag when not present
 #define SCALINGLIST_INFERRING            1      ///< JCTVC-N0371: inter-layer scaling list
 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1207)
@@ -1898,5 +1898,5 @@
   }
 
-#if POC_RESET_IDC_SIGNALLING
+#if SVC_EXTENSION
   Int sliceHeaderExtensionLength = 0;
   if(pps->getSliceHeaderExtensionPresentFlag())
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1207)
@@ -1306,11 +1306,4 @@
     }
   }
-
-#if !POC_RESET_IDC_SIGNALLING   // Wrong place to put slice header extension
-  if(pcSlice->getPPS()->getSliceHeaderExtensionPresentFlag())
-  {
-    WRITE_UVLC(0,"slice_header_extension_length");
-  }
-#endif
 }
 
@@ -1835,7 +1828,5 @@
 
 #if SVC_EXTENSION
-
-#if POC_RESET_IDC_SIGNALLING
-Void  TEncCavlc::codeSliceHeaderExtn( TComSlice* slice, Int shBitsWrittenTillNow )
+Void TEncCavlc::codeSliceHeaderExtn( TComSlice* slice, Int shBitsWrittenTillNow )
 {
   Int tmpBitsBeforeWriting = getNumberOfWrittenBits();
@@ -1851,18 +1842,20 @@
     // Determine value of SH extension length.
     Int shExtnLengthInBit = 0;
-    if (slice->getPPS()->getPocResetInfoPresentFlag())
+    if( slice->getPPS()->getPocResetInfoPresentFlag() )
     {
       shExtnLengthInBit += 2;
     }
-    if (slice->getPocResetIdc() > 0)
+
+    if( slice->getPocResetIdc() > 0 )
     {
       shExtnLengthInBit += 6;
     }
-    if (slice->getPocResetIdc() == 3)
+
+    if( slice->getPocResetIdc() == 3 )
     {
       shExtnLengthInBit += (slice->getSPS()->getBitsForPOC() + 1);
     }
 
-    if (!slice->getPocMsbValRequiredFlag() && slice->getVPS()->getVpsPocLsbAlignedFlag())
+    if( !slice->getPocMsbValRequiredFlag() && slice->getVPS()->getVpsPocLsbAlignedFlag() )
     {
       shExtnLengthInBit++;
@@ -1880,10 +1873,10 @@
     }
 
-    if (slice->getPocMsbNeeded())
+    if( slice->getPocMsbNeeded() )
     {
       slice->setPocMsbValPresentFlag(true);
     }
 
-    if (slice->getPocMsbValPresentFlag())
+    if( slice->getPocMsbValPresentFlag() )
     {
       UInt lengthVal = 1;
@@ -1897,21 +1890,24 @@
       shExtnLengthInBit += lengthVal;
     }
+
     Int shExtnAdditionalBits = 0;
-    if(shExtnLengthInBit % 8 != 0)
+
+    if( shExtnLengthInBit % 8 != 0 )
     {
       shExtnAdditionalBits = 8 - (shExtnLengthInBit % 8);
     }
+
     Int shExtnLength = (shExtnLengthInBit + shExtnAdditionalBits) / 8;
     WRITE_UVLC( shExtnLength, "slice_header_extension_length" );
 
-    if(slice->getPPS()->getPocResetInfoPresentFlag())
+    if( slice->getPPS()->getPocResetInfoPresentFlag() )
     {
       WRITE_CODE( slice->getPocResetIdc(), 2,                                 "poc_reset_idc");
     }
-    if(slice->getPocResetIdc() > 0)
+    if( slice->getPocResetIdc() > 0 )
     {
       WRITE_CODE( slice->getPocResetPeriodId(), 6,                            "poc_reset_period_id");
     }
-    if(slice->getPocResetIdc() == 3) 
+    if( slice->getPocResetIdc() == 3 ) 
     {
       WRITE_FLAG( slice->getFullPocResetFlag() ? 1 : 0,                       "full_poc_reset_flag");
@@ -1930,5 +1926,5 @@
     }
 
-    for (Int i = 0; i < shExtnAdditionalBits; i++)
+    for(Int i = 0; i < shExtnAdditionalBits; i++)
     {
       WRITE_FLAG( 1, "slice_segment_header_extension_data_bit");
@@ -1940,5 +1936,4 @@
   // Slice header byte_alignment() included in xAttachSliceDataToNalUnit
 }
-#endif
 
 Void TEncCavlc::codeVPSExtension (TComVPS *vps)
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1207)
@@ -154,7 +154,5 @@
 
 #if SVC_EXTENSION
-#if POC_RESET_IDC_SIGNALLING
   Void  codeSliceHeaderExtn( TComSlice* slice, Int shBitsWrittenTillNow );
-#endif
   Void codeSPSExtension        ( TComSPS* pcSPS );
   Void codeVPSExtension        ( TComVPS* pcVPS );
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1207)
@@ -747,6 +747,6 @@
 }
 
-#if POC_RESET_IDC_SIGNALLING
-Void  TEncEntropy::encodeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow )
+#if SVC_EXTENSION
+Void TEncEntropy::encodeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow )
 {
   m_pcEntropyCoderIf->codeSliceHeaderExtn( pSlice, shBitsWrittenTillNow );
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1207)
@@ -85,8 +85,4 @@
   virtual Void codeScalingList   ( TComScalingList* scalingList )      = 0;
 
-#if POC_RESET_IDC_SIGNALLING
-  virtual Void codeSliceHeaderExtn     ( TComSlice* pSlice, Int shBitsWrittenTillNow )     = 0;
-#endif
-
 public:
   virtual Void codeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
@@ -120,4 +116,5 @@
   virtual Void codeTransformSkipFlags ( TComTU &rTu, ComponentID component ) = 0;
 #if SVC_EXTENSION
+  virtual Void codeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow )     = 0;
   virtual Void codeSAOBlkParam   (SAOBlkParam& saoBlkParam, UInt* saoMaxOffsetQVal, Bool* sliceEnabled, Bool leftMergeAvail, Bool aboveMergeAvail, Bool onlyEstMergeInfo = false)    =0;
 #else
@@ -151,7 +148,4 @@
   TEncEntropyIf*      m_pcEntropyCoderIf;
 
-#if POC_RESET_IDC_SIGNALLING
-  Void    encodeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow );
-#endif
 public:
   Void encodeVPS               ( TComVPS* pcVPS);
@@ -204,4 +198,5 @@
   Void estimateBit             ( estBitsSbacStruct* pcEstBitsSbac, Int width, Int height, ChannelType chType );
 #if SVC_EXTENSION
+  Void encodeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow );
   Void encodeSAOBlkParam(SAOBlkParam& saoBlkParam, UInt* saoMaxOffsetQVal, Bool* sliceEnabled, Bool leftMergeAvail, Bool aboveMergeAvail){m_pcEntropyCoderIf->codeSAOBlkParam(saoBlkParam, saoMaxOffsetQVal, sliceEnabled, leftMergeAvail, aboveMergeAvail, false);}
 #else
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1207)
@@ -2949,5 +2949,5 @@
         m_pcEntropyCoder->setEntropyCoder   ( m_pcCavlcCoder, pcSlice );
         m_pcEntropyCoder->setBitstream(&nalu.m_Bitstream);
-#if POC_RESET_IDC_SIGNALLING
+#if SVC_EXTENSION
         tmpBitsBeforeWriting = m_pcEntropyCoder->getNumberOfWrittenBits();
         m_pcEntropyCoder->encodeTilesWPPEntryPoint( pcSlice );
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1207)
@@ -2028,6 +2028,6 @@
 }
 
-#if POC_RESET_IDC_SIGNALLING
-Void  TEncSbac::codeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow )
+#if SVC_EXTENSION
+Void TEncSbac::codeSliceHeaderExtn( TComSlice* pSlice, Int shBitsWrittenTillNow )
 {
   assert (0);
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1206)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1207)
@@ -106,9 +106,7 @@
 
 #if SVC_EXTENSION
-#if POC_RESET_IDC_SIGNALLING
   Void  codeSliceHeaderExtn     ( TComSlice* pSlice, Int shBitsWrittenTillNow );
-#endif  
-  Void codeSAOOffsetParam(ComponentID compIdx, SAOOffset& ctbParam, Bool sliceEnabled, UInt* saoMaxOffsetQVal);
-  Void codeSAOBlkParam(SAOBlkParam& saoBlkParam
+  Void  codeSAOOffsetParam(ComponentID compIdx, SAOOffset& ctbParam, Bool sliceEnabled, UInt* saoMaxOffsetQVal);
+  Void  codeSAOBlkParam(SAOBlkParam& saoBlkParam
                     , UInt* saoMaxOffsetQVal
                     , Bool* sliceEnabled
